/*******************************************************************************
Bradley Larson (BLarson@worldbank.org)
World Development Report 2018: Education
*******************************************************************************/

*** WDR settings
	include wdrsettings
	
/*******************************************************************************
PREPARE DATA
*******************************************************************************/

***	import data
	use "${data}/Shrestha 2017 teacher union rates", clear

***	archive data
	wdrarchive
	
/*******************************************************************************
GRAPH
*******************************************************************************/

	graph bar rate, ///
		over(country, sort(rate) des) ///
		bar(1, color("$wdrscheme2")) ///
		ytitle("Percent") ///
		ylabel( , notick angle(h) glc(gs2) glw(thin) glp(shortdash) labgap(2)) ///
		yscale(noline) ///
		xsize(4.5) ysize(2.75) ///
		graphregion(c(white)lc(white)lw(thick)) ///
		scale(1.1) ///
		name(union_rates, replace)
		
/*******************************************************************************
EXPORT
*******************************************************************************/

	wdrexport , ///
		title(Teacher unionization varies across countries) ///
		subtitle(Union membership as a percentage of total teachers, selected countries (2012-15)) ///
		source(Shrestha 2017.) ///
		note(Bars show the ratio of union members to teachers. In Mexico, the union includes a sufficient number of retirees and non-teaching staff that the ratio exceeds 100%.) ///
		chapter(10) figure(1.1) box

exit

