/*******************************************************************************
Bradley Larson (BLarson@worldbank.org)
World Development Report 2018: Education
*******************************************************************************/

*** WDR settings
	include wdrsettings

/*******************************************************************************
PREPARE DATA
*******************************************************************************/

*** import data
	use "${data}/GOB-DPE 2016", clear
	
***	archive data
	wdrarchive
		
/*******************************************************************************
GRAPH
*******************************************************************************/

graph hbar providers, ///
	over(institution, sort(providers) des) ///
	graphregion(c(white)lc(white)lw(thick)) ///
	yscale(noline) ///
	ylabel(, notick glc(gs8) glp(shortdash) glw(thin)) ///
	ytitle(Number of providers, height(6)) ///
	plotregion(margin(b-2 t-2)) ///
	bar(1 , c("$wdrscheme5"))
	
/*******************************************************************************
EXPORT
*******************************************************************************/

wdrexport , ///
	title(In Bangladesh, there are 11 different kinds of nonstate providers of presecondary education) ///
	subtitle(Number of institutions under each nongovernment provider of presecondary education (2016)) ///
	source(WDR 2018 team, using data from Department of Public Education, Bangladesh (2016).) ///
	note(NGO = nongovernmental organization.) ///
	chapter(9) figure(3.1) box
	
exit
