/*******************************************************************************
Bradley Larson (BLarson@worldbank.org)
World Development Report 2018: Education

WDR 2018 Master: loads all settings and runs all figure-generating files present
in the working directory.
*******************************************************************************/

***	WDR settings
	include wdrsettings

***	install programs
	ssc install egenmore
	net install http://www.stata.com/users/vwiggins/grc1leg.pkg
	ssc install spineplot
	ssc install triplot
	cap ssc install spmap
	
/*******************************************************************************
CLEAR OUTPUT FOLDER OF PREVIOUSLY GENERATED FIGURES AND PRODUCTION FILES
*******************************************************************************/

***	change to output directory
	cd $output
	
*** erase all files of these types	
	local remove_types emf eps csv dta
	foreach filetype of local remove_types {
		local remove_files : dir . files "*.`filetype'"
		foreach file of local remove_files {
			erase "`file'"
			}
			}

/*******************************************************************************
RUN ALL DO FILES THAT PRODUCE FIGURES AND ASSOCIATED PRODUCTION FILES
*******************************************************************************/

***	return to home directory	
	cd $root
	
***	identify figure do files
	local figure_dos : dir . files "*Figure*.do"
	local figure_dos : list sort figure_dos
	local dos_count : word count `figure_dos'

***	run all figure do files
	local i=0
	foreach dofile of local figure_dos {
		local ++i
		local announce =subinstr("`dofile'",".do","",.)
		noi di as text _newline _col(4) "`i'" _col(7) "of `dos_count':" as result " `announce'"  _c
		qui do "`dofile'"
		}
	
***	clear Stata
	graph drop _all
	clear
*/
/*******************************************************************************
GENERATE REPORT WITH ALL CHARTS
*******************************************************************************/

***	return to home directory	
	cd $root
	wdrcharts
