/*******************************************************************************
Bradley Larson (Larson.Brad@gmail.com)
*******************************************************************************/

capture drop wdrarchive
program define wdrarchive
version 14
syntax , [Title(passthru)]

***	parse title
	if "`title'"!="" {
		local formaltitle=subinstr("`title'","title(","",1)
		local formaltitle="`formaltitle'"+"@%*REMOVE"		
		local formaltitle=subinstr("`formaltitle'",")@%*REMOVE","",.)
		}

***	determine if archived metadata file exists
	capture confirm file "wdrdataarchivemetadata.dta"

***	create if it doesn't, then save current panel of data
	if _rc!=0 {
		preserve
		clear
		local panel 1
		qui set obs `panel'
		qui gen panel_number=`panel'
		qui gen panel_title="`formaltitle'"
		*** save archived data metadata
			qui save wdrdataarchivemetadata , replace // no idea why "replace" is necessary here
			restore
		
		***	save panel data
			qui save wdrdataarchivepanel`panel', replace
		}

***	load if it does, update, then save current panel of data
	if _rc==0 {
		preserve
		qui use wdrdataarchivemetadata, clear
		qui sum panel_number
		local panel=`r(max)'+1
		qui set obs `panel'
		qui replace panel_number =`panel' if panel_number==.
		qui replace panel_title="`formaltitle'" if panel_number==`panel'
		qui save wdrdataarchivemetadata , replace
		restore
	
	***	save panel data
			qui save wdrdataarchivepanel`panel', replace

		}

end
