/*******************************************************************************
World Development Report 2018: Learning to Realize Education's Promise
wdrsettings.do 
Establish globals and settings for other do files. This do file is intended
to be run before any other commands in all other do files.
*******************************************************************************/

*** start up commands
	version 14
	set seed 1000
	qui cap log c
	set more off
	set linesize 120
	set more off
	graph drop _all
	clear
	
***	The N drive is the root folder, where all data analysis will be saved:	
	global root : pwd
	
***	these are the main paths on the root drive:
	global output		"${root}\output" // this output root-folder is where rough drafts graphs and excel outputs will be saved by do-files
	global data			"${root}\sourcedata\" // this is where working datasets are stored
	global reports		"${root}\reports\"	// this is where stata-generated reports like Codebooks will be saved
		
***	if the output or report folders do not exist, create them
	cd $root
	cap cd $output
	if _rc!=0 {
		mkdir output
		cd $root
		}
	cap cd $reports
	if _rc!=0 {
		mkdir reports
		cd $root
		}
		
***	if the source data does not exist, return an error and exit
	cd $root
	cap cd $data
	if _rc!=0 {
		noi di as error _newline(2) "{pstd}Source data is present. Download source data from XXX..."
		error 601
		}
	cd $root
	
***	set colors
	global wdrscheme1	"0 101 166" // PMS 2495 dark blue
	global wdrscheme2	"239 116 0" // PMS 158 orange
	global wdrscheme3	"154 208 28" // PMS 376 green
	global wdrscheme4	"250 223 27" // PMS 7405 yellow
	global wdrscheme5	"99 201 222" // PMS 311 light blue
	global wdrscheme6	"0 148 200" // PMS PROC BLUE medium blue
	global wdrscheme7	"203 14 56" // PMS 200 red
	global wdrscheme8	"136 138 143" // COOL GRAY 8

